ApiManagementV1WorkspacesWorkspaceidEndpointsId

Get an endpoint by ID

GET
/management/v1/workspaces/{workspaceId}/endpoints/{id}
AuthorizationBearer <token>

Management token (nhm_...)

In: header

Path Parameters

idstring

Response Body

curl -X GET "https://loading/management/v1/workspaces/{workspaceId}/endpoints/string"
{
  "id": "string",
  "url": "string",
  "secret": "string",
  "description": "string",
  "authUsername": "string",
  "hasAuth": true,
  "isActive": true,
  "type": "string",
  "config": {},
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

{
  "error": {
    "code": "unauthorized",
    "message": "Missing or invalid authorization header"
  }
}

{
  "error": {
    "code": "token_disabled",
    "message": "Management token is disabled"
  }
}

{
  "error": {
    "code": "not_found",
    "message": "Endpoint not found"
  }
}